%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           beaker-redhat
Version:        0.1.53
Release:        1%{?dist}
Summary:        Internal Workflows for Beaker
Group:          Applications/Internet
License:        NDA
URL:            http://fedorahosted.org/beaker
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools-devel
BuildRequires:  python2-devel
Requires:       python
Requires:       kobo-client
Requires:	python-setuptools
Requires:	beaker-client >= 0.6.17
Requires:       python-krbV
Requires:       snake
Requires:       pykickstart >= 1.0

%description
Workflows for Beaker which are for internal use only

%prep
%setup -q

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# I'm sure I'm violoating some rule here.  but this works.
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/bkr/client/commands/__init__.py*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/bkr.client.commands*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/bkr/client/commands/

%changelog
* Fri Dec 14 2012 Bill Peck <bpeck@redhat.com> 0.1.53-1
- workflow_kernel: fix snippet creating yum repo on RHEL7 (jstancek@redhat.com)
- New workflow remote. (bpeck@redhat.com)
- workflow_kernel: add fips=1 recipe to RHEL7 matrix (jstancek@redhat.com)

* Wed Nov 07 2012 Bill Peck <bpeck@redhat.com> 0.1.52-1
- workflow_kernel: fix handling of multiple --repo args (jstancek@redhat.com)
- tito releaser config for eng-rhel-6 (dcallagh@redhat.com)

* Fri Oct 19 2012 Bill Peck <bpeck@redhat.com> 0.1.51-1
- This fixes the regression introduced from RFE 867087 (bpeck@redhat.com)
- buildrepo.py is obsolete (dcallagh@redhat.com)
- Updated scratch ids and manual deps to fc16 (rmancy@redhat.com)

* Thu Jul 12 2012 Bill Peck <bpeck@redhat.com> 0.1.50-1
- workflow_kt1auto: support combined parameter tables (jstancek@redhat.com)

* Mon Jul 09 2012 Bill Peck <bpeck@redhat.com> 0.1.49-1
- Add Grid harness directories. (bpeck@redhat.com)
- RHEL5 Gold doesn't include python-setuptools (bpeck@redhat.com)
- buildrepo.py: F15 is EOL'ed (dcallagh@redhat.com)
- kernel-workflow: skip arches which are not in matrix (jstancek@redhat.com)
- buildrepo.py: drop RHEL5 for server, use eng-rhel-6 (dcallagh@redhat.com)
- buildrepo.py: new scratch builds, updated python-rdflib and python-isodate
  (dcallagh@redhat.com)
- Make --install work properly since we don't use processTemplate
  (jburke@redhat.com)
- RFE: pollish manipulation with task params in workflow-snake
  (bpeck@redhat.com)
- changed beakerlib-* references to fc15 from fc14 (rmancy@redhat.com)
- Remove F17 symlinks (rmancy@devbox.rmancy.beakerdevs.lab.eng.bne.redhat.com)
- --candidate option fixed to not affect other packages outside of beaker
  packages (rmancy@redhat.com)

* Fri Apr 20 2012 Bill Peck <bpeck@redhat.com> 0.1.48-1
- Updated scratch id's for fedora builds and added libev for gevent.
  (bpeck@redhat.com)
- workflow_kernel: fix RHEL6 SingleCPU recipes (jstancek@redhat.com)
- workflow_kernel: drop pae from x86_64 (jstancek@redhat.com)

* Wed Apr 11 2012 Bill Peck <bpeck@redhat.com> 0.1.47-1
- fix url in kernel_workflow. (bpeck@redhat.com)
- No need to have cyrus-sasl-gssapi packages imported for F15. They are already
  in the F15 repo. (rmancy@redhat.com)
- added python-greenlet (bpeck@redhat.com)
- added RedHatStorage support added python-gevent for new lab controller
  requirement (bpeck@redhat.com)
- add support for f17 harness (bpeck@redhat.com)
- Added deps for client side qpid requirements, and bumped scratch builds
  (rmancy@redhat.com)
- Add python-daemon and its dep, python-lockfile (stl@redhat.com)

* Tue Mar 06 2012 Raymond Mancy <rmancy@redhat.com> 0.1.46-1
- TaskWatcher.watch_tasks is no longer a valid method (rmancy@redhat.com)

* Wed Feb 29 2012 Bill Peck <bpeck@redhat.com> 0.1.45-1
- add kt1auto workflow (jstancek@redhat.com)

* Wed Feb 29 2012 Bill Peck <bpeck@redhat.com> 0.1.44-1
- add RHEL7 to matrix (jstancek@redhat.com)
- add i386/x86_64 xen pv&hvm guests combinations (gozen@redhat.com)
- updated scratch build for fedora and added pyserial to rhel7
  (bpeck@redhat.com)
- Support for RHEL7 repos (bpeck@redhat.com)
- buildrepo.py: use correct brew tags for RHEL3 and RHEL4 (dcallagh@redhat.com)
- buildrepo.py: new scratch build id for rhts F15 (dcallagh@redhat.com)
- Fix RHEL6 repo URLs (stl@redhat.com)
- buildrepo.py: added rhts-python (dcallagh@redhat.com)
- Update scratch id's and add python-ssl for rhel5 kobo requirement
  (bpeck@redhat.com)
- Add CentOS targets (bpeck@redhat.com)
- buildrepo.py: F14 is EOL'ed, update to F15 (dcallagh@redhat.com)
- updated scratch builds added pexpect to repos fixed buildrepo to use bz2
  compression, older versions of yum have a bug if the repo data is presented
  in .gz (bpeck@redhat.com)
- buildrepo.py: include python-requests in RHEL6 server repo
  (dcallagh@redhat.com)
- buildrepo.py: obey candidate tag for RHEL6 server repo (dcallagh@redhat.com)
- updated scratch builds and added rhts and beakerlib to server for rhel6.
  (bpeck@redhat.com)

* Fri Oct 28 2011 Bill Peck <bpeck@redhat.com> 0.1.43-1
- Remove beakerlib-redhat requirement. (bpeck@redhat.com)
- add in RHELrawhide7 (bpeck@redhat.com)
- Fedora 16 harness repo (rmancy@redhat.com)
- Ability to set tag, plus some other minor changes (rmancy@redhat.com)
- Update rhel6 dependencies and scratch builds (bpeck@redhat.com)
- Update beah scratch id (mcsontos@redhat.com)
- buildrepo.py: fix RHEL6 i386/i686 issues (dcallagh@redhat.com)
- buildrepo.py: scratch build for beaker-0.7.3-4.fc14 (dcallagh@redhat.com)
- Updated beah and rhts scratch IDs (rmancy@redhat.com)
- Updated beaker scratch build for f14 (bpeck@redhat.com)
- Fix beah F14 scratch build using build for F15 (mcsontos@redhat.com)
- Update scratch build ids (mcsontos@redhat.com)
- buildrepo.py: workflow-snake needs newer pykickstart on RHEL5
  (dcallagh@redhat.com)

* Fri Sep 30 2011 Bill Peck <bpeck@redhat.com> 0.1.42-1
- [RFE] workflow-snake should not fail in case of missing task
  (bpeck@redhat.com)
- buildrepo.py: assume RHEL6.1 with HighAvailability for beaker-server
  (dcallagh@redhat.com)
- buildrepo.py: check deps only against repo arches, not every arch
  (dcallagh@redhat.com)
- workflow-snake does not work with old pykickstart in RHEL5
  (dcallagh@redhat.com)
- Update Requires to newer beaker-client (bpeck@redhat.com)

* Tue Aug 23 2011 Bill Peck <bpeck@redhat.com> 0.1.41-1
- remove dependency on beaker-redhat-repo (bpeck@redhat.com)
- Added python-selenium and updated scratch builds (bpeck@redhat.com)

* Tue Aug 23 2011 Bill Peck <bpeck@redhat.com> 0.1.40-1
- cmd_workflow_kernel: call addGuestRecipe() as last (jstancek@redhat.com)

* Tue Aug 09 2011 Bill Peck <bpeck@redhat.com> 0.1.39-1
- buildrepo.py: include beaker-integration-tests in server repo
  (dcallagh@redhat.com)
- avoid using deepcopy on xml.dom.minidom nodes (dcallagh@redhat.com)

* Tue Jul 26 2011 Bill Peck <bpeck@redhat.com> 0.1.38-1
- fix snake workflow to use arches and not arch (bpeck@redhat.com)
- addtional dependancy for rhel6 (bpeck@redhat.com)
- fix arch loop (jburke@redhat.com)
- Remove the hardcoded ltp test params. Set autopick true, Don't use KVM hosts
  in kernel testing. (jburke@redhat.com)
- Run Crasher tasks as last ones (jstancek@redhat.com)
- add missing RHEL6 dependencies (dcallagh@redhat.com)
- RHEL6 packages are i686, like Fedora (dcallagh@redhat.com)
- buildrepo.py: options for skipping distros/repos (dcallagh@redhat.com)
- buildrepo.py: add --australia option, to use local mirrors
  (dcallagh@redhat.com)
- [PATCH 2/4] buildrepo.py: separate repo declaration from building  steps
  (bpeck@redhat.com)
- buildrepo.py: create dir if needed (dcallagh@redhat.com)
- add s390 to RHEL3 and RHEL4 (bpeck@redhat.com)
- Update Aliases and dependencies. (bpeck@redhat.com)
- Add Manual build of beakerlib to satisfy beakerlib-redhat (bpeck@redhat.com)
- allow overriding variants. (bpeck@redhat.com)
- Update aliases for fedora-12 and fedora-13 (bpeck@redhat.com)
- fixes from dcallagh to deal with dependencies better. (bpeck@redhat.com)

* Mon May 16 2011 Bill Peck <bpeck@redhat.com> 0.1.37-1
- fix autofs workflow to use updated name for arch (arches) (bpeck@redhat.com)

* Tue May 10 2011 Bill Peck <bpeck@redhat.com> 0.1.36-1
- add missing smolt package for inventory (bpeck@redhat.com)
- fix quoting (bpeck@redhat.com)
- update scratch builds update aliases to pickup Fedora12,13 and 15.
  (bpeck@redhat.com)
- buildrepo.py: merge bpeck's changes (dcallagh@redhat.com)
-  (bpeck@redhat.com)
- buildrepo.py: clean up unreferenced rpms (dcallagh@redhat.com)
- buildrepo.py: sanity check to find expired scratch builds
  (dcallagh@redhat.com)
- buildrepo.py: generate .repo files (dcallagh@redhat.com)
- buildrepo.py: use 'sha' checksums for RHEL5 (dcallagh@redhat.com)
- initial version of repo creation script (dcallagh@redhat.com)

* Tue May 03 2011 Bill Peck <bpeck@redhat.com> 0.1.35-1
- Require beaker-redhat-repo so we can push repo updates. (bpeck@redhat.com)

* Mon Apr 25 2011 Bill Peck <bpeck@redhat.com> 0.1.34-1
- Fix kenerl_workflow to use --ndump and --kdump. Also move task generation to
  after family mangling code. (bpeck@redhat.com)

* Fri Apr 15 2011 Bill Peck <bpeck@redhat.com> 0.1.33-1
- Update workflows to handle pre-filter task.filter() data. (bpeck@redhat.com)

* Thu Mar 03 2011 Bill Peck <bpeck@redhat.com> 0.1.32-1
- bz677292 - workflow-snake, Variant doesn't get passed to test cases
  (bpeck@redhat.com)

* Tue Feb 15 2011 Bill Peck <bpeck@redhat.com> 0.1.31-1
- Fix DOM 0 whiteboard. rearrange kVR always first looks better on matrix
  (jburke@redhat.com)
- Fix xen i386 bug, add --nonsparse to hvm xen guest, update RHEL4 base
  (jburke@redhat.com)

* Tue Jan 11 2011 Bill Peck <bpeck@redhat.com> 0.1.30-1
- Add in fix for kernel-xen on paravirt (jburke@bass.usersys.redhat.com)
- Changes to support automation, collapse to a single job.
  (jburke@bass.usersys.redhat.com)

* Tue Dec 21 2010 Bill Peck <bpeck@redhat.com> 0.1.29-1
- Only add the kdump/netdump test once (jburke@bass.usersys.redhat.com)
- Revert "Fix xml generation. Only add kdum/ndnc once not increment it for each
  recipe. Default to nfs if not specified" (jburke@bass.usersys.redhat.com)
- workaround, submit multiple jobs (jburke@bass.usersys.redhat.com)
- Fix xml generation. Only add kdum/ndnc once not increment it for each recipe.
  Default to nfs if not specified (jburke@bass.usersys.redhat.com)

* Tue Dec 14 2010 Bill Peck <bpeck@redhat.com> 0.1.28-1
- Bug: 663142 [RFE] workflow-snake: Suppress kernel options provided
  by snake Bug: 663138 [RFE] workflow-snake: Use SNAKESERVER variable
  (bpeck@redhat.com)
- Bug 663134 - workflow-snake: fix task order (bpeck@redhat.com)
- Revert "Bug: 663074 - snake workflow adds requested tasks before snake
  template." (bpeck@redhat.com)

* Tue Dec 14 2010 Bill Peck <bpeck@redhat.com> 0.1.27-1
- Bug: 663074 - snake workflow adds requested tasks before snake template.
  (bpeck@redhat.com)

* Tue Dec 14 2010 Bill Peck <bpeck@redhat.com> 0.1.26-1
- Bug: 663025 -  workflow-errata traceback: There isn't a correct mapping for
  'RHEL-6' distro (bpeck@redhat.com)

* Fri Dec 03 2010 Bill Peck <bpeck@redhat.com> 0.1.25-1
- add print Submitted jobs to kernel workflow. (bpeck@redhat.com)

* Fri Dec 03 2010 Bill Peck <bpeck@redhat.com> 0.1.24-1
- Put kdump in after the kernel install, not before otherwise it can't find
  debuginfo packages (jburke@bass.usersys.redhat.com)

* Fri Dec 03 2010 Bill Peck <bpeck@redhat.com> 0.1.23-1
- modified kernel workflow to not use TaskWatcher. (bpeck@redhat.com)

* Thu Dec 02 2010 Bill Peck <bpeck@redhat.com> 0.1.22-1
- Add in the append for whiteboard (jburke@bass.usersys.redhat.com)
- Added in the option for updating RHEL4.8 to RHEL4.9. Add in the --dump
  (jburke@bass.usersys.redhat.com)

* Mon Nov 29 2010 Bill Peck <bpeck@redhat.com> 0.1.21-1
- kernel-workflow update from jburke (bpeck@redhat.com)

* Mon Nov 15 2010 Bill Peck <bpeck@redhat.com> 0.1.20-1
- bz649581 -  can't use beaker's workflow-autofs to submit job
  (bpeck@redhat.com)

* Mon Nov 08 2010 Bill Peck <bpeck@redhat.com> 0.1.19-1
- make sure we have arches before doing random calc. (bpeck@redhat.com)
- update from jburke for kernel workflow. (bpeck@redhat.com)

* Wed Oct 13 2010 Bill Peck <bpeck@redhat.com> 0.1.18-1
- bz627604 - updated errata workflow mapping for latest rhel5 (bpeck@redhat.com)
- bz641016 - bkr errata-workflow cuts erratas names (bpeck@redhat.com)
- bz634485 - can't use beaker's workflow-autofs to submit subtask (bpeck@redhat.com)

* Thu Sep 02 2010 Bill Peck <bpeck@redhat.com> 0.1.17-1
- Update errata workflow to deal with bad arch/distro combos.
  (bpeck@redhat.com)

* Wed Sep 01 2010 Bill Peck <bpeck@redhat.com> 0.1.16-1
- kernel_workflow - allow running only virt. (bpeck@redhat.com)
- Updates from jburke for kernel workflow. (bpeck@redhat.com)

* Mon Aug 23 2010 Marian Csontos <mcsontos@redhat.com> 0.1.15-1
- Fixed another python 2.4 incompatibility (mcsontos@redhat.com)
- Using new-style classes. (mcsontos@redhat.com)

* Fri Aug 13 2010 Marian Csontos <mcsontos@redhat.com> 0.1.14-1
- Fixed python 2.4 incompatibility (mcsontos@redhat.com)

* Thu Aug 05 2010 Bill Peck <bpeck@redhat.com> 0.1.13-1
- fix mispelled variant. fix getArches() when no arches specified.
  (bpeck@redhat.com)

* Thu Aug 05 2010 Bill Peck <bpeck@redhat.com> 0.1.12-1
- update gitignore (bpeck@redhat.com)
- paperbag release - fix indent level in kernel workflow. (bpeck@redhat.com)

* Tue Aug 03 2010 Bill Peck <bpeck@redhat.com> 0.1.11-1
- added kernel workflow. (jburke@redhat.com)

* Thu Jul 29 2010 Bill Peck <bpeck@redhat.com> 0.1.10-1
- workflow_errata
  add tasks again after upgrade. fix decription of workflow. (bpeck@redhat.com)
- Chnage default to not wait while jobs run. (bpeck@redhat.com)

* Tue Jul 27 2010 Bill Peck <bpeck@redhat.com> 0.1.9-1
- First stab at errata workflow. (bpeck@redhat.com)
- Print Submitted: ['J:123'] so that scripts can pick up the job id's
  (bpeck@redhat.com)

* Tue Jun 29 2010 Bill Peck <bpeck@redhat.com> 0.1.8-1
- bz607986 - fix snake workflow for ppc and s390 (pholica@redhat.com)

* Tue Jun 22 2010 Bill Peck <bpeck@redhat.com> 0.1.7-1
-  - FIXED bz606652, workflow-snake changes testparam's values
  (bpeck@redhat.com)

* Fri Jun 18 2010 Bill Peck <bpeck@redhat.com> 0.1.6-1
- add beakerlib-redhat requirement (bpeck@redhat.com)

* Thu Jun 17 2010 Bill Peck <bpeck@redhat.com> 0.1.5-1
- apply patch from bz605167 - deal with no tasks passed in. apply patch from
  bz605166 - deal with no kernel_options passed. fix import to import
  pykickstart.errors and pykickstart.version (bpeck@redhat.com)

* Wed Jun 16 2010 Bill Peck <bpeck@redhat.com> 0.1.4-1
- add in snake and pykickstart requirement (bpeck@redhat.com)
- added new snake workflow (bpeck@redhat.com)
- slight update to pick up --install and --dump options (bpeck@redhat.com)

* Thu Jun 10 2010 Bill Peck <bpeck@redhat.com> 0.1.3-1
- doesnt like bz2 (bpeck@redhat.com)

* Thu Jun 10 2010 Bill Peck <bpeck@redhat.com> 0.1.2-1
- fix client server logic (bpeck@redhat.com)
- fix errors (bpeck@redhat.com)
- updates to make it be the autofs workflow (bpeck@redhat.com)
- gitignore and comments (bpeck@redhat.com)
- leave out __init__.py* (bpeck@redhat.com)
- delete eggs (bpeck@redhat.com)
- more setup (bpeck@redhat.com)
- dont package egg (bpeck@redhat.com)
- more setup (bpeck@redhat.com)
- setup work (bpeck@redhat.com)

* Thu Jun 10 2010 Bill Peck <bpeck@redhat.com> 0.1.1-1
- new package built with tito

* Thu Jun 10 2010 Bill Peck <bpeck@redhat.com> - 0.1.0-0
- Initial Internal Worfklows for Beaker
